# com.google.android.exoplayer2.text

## Interfaces

- Subtitle
- SubtitleDecoder
- SubtitleDecoderFactory
- TextOutput

## Classes

- CaptionStyleCompat
- Cue
- Cue.Builder
- SimpleSubtitleDecoder
- SubtitleInputBuffer
- SubtitleOutputBuffer
- TextRenderer

## Exceptions

- SubtitleDecoderException

## Annotation Types

- CaptionStyleCompat.EdgeType
- Cue.AnchorType
- Cue.LineType
- Cue.TextSizeType
- Cue.VerticalType